net.minecraft.inventory

## Class ContainerChest

- java.lang.Object
- - net.minecraft.inventory.Container
  - - net.minecraft.inventory.ContainerChest

-     public class ContainerChest
      extends Container

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.inventory.Container

      `inventoryItemStacks, inventorySlots, windowId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerChest(IInventory par1IInventory, IInventory par2IInventory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canInteractWith(EntityPlayer par1EntityPlayer)`
    `IInventory` | `getLowerChestInventory()` Return this chest container's lower chest inventory.
    `void` | `onContainerClosed(EntityPlayer par1EntityPlayer)` Called when the container is closed.
    `ItemStack` | `transferStackInSlot(EntityPlayer par1EntityPlayer, int par2)` Called when a player shift-clicks on a slot.

    - ### Methods inherited from class net.minecraft.inventory.Container

      `addCraftingToCrafters, calcRedstoneFromInventory, canDragIntoSlot, detectAndSendChanges, enchantItem, func_94525_a, func_94527_a, func_94528_d, func_94529_b, func_94530_a, func_94532_c, func_94534_d, getInventory, getNextTransactionID, getSlot, getSlotFromInventory, isPlayerNotUsingContainer, onCraftMatrixChanged, putStackInSlot, putStacksInSlots, removeCraftingFromCrafters, setPlayerIsPresent, slotClick, updateProgressBar`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerChest

          public ContainerChest(IInventory par1IInventory,
                        IInventory par2IInventory)

  - ### Method Detail

    - #### canInteractWith

          public boolean canInteractWith(EntityPlayer par1EntityPlayer)

      Specified by:
        `canInteractWith` in class `Container`

    - #### transferStackInSlot

          public ItemStack transferStackInSlot(EntityPlayer par1EntityPlayer,
                                      int par2)

      Called when a player shift-clicks on a slot. You must override this or you will crash when someone does that.
      Overrides:
        `transferStackInSlot` in class `Container`

    - #### onContainerClosed

          public void onContainerClosed(EntityPlayer par1EntityPlayer)

      Called when the container is closed.
      Overrides:
        `onContainerClosed` in class `Container`

    - #### getLowerChestInventory

          public IInventory getLowerChestInventory()

      Return this chest container's lower chest inventory.